import { EngineEvents } from '../types/events';
import { EngineComponent } from '../types/engine-component';
import { WebGLRenderer } from '../core/renderer';
import { EventEmitter } from '../utils/events';
/**
 * Manage viewport sizing
 */
export declare class ViewportComponent extends EngineComponent {
    protected render: WebGLRenderer;
    protected events: EventEmitter<EngineEvents>;
    name: string;
    private cleanUpEvents?;
    constructor(render: WebGLRenderer, events: EventEmitter<EngineEvents>);
    get scene(): import("three").Scene;
    get camera(): import("three").PerspectiveCamera;
    initialize(): void;
    update(dt: number): void;
    dispose(): void;
    setSize(width: number, height: number): void;
    setSizeFromWindow(): void;
    setSizeFromViewport(): void;
    private bindEvents;
}
