import { Vector3 } from 'three';
import { Brick } from './brick.object';
import { gameObjectGeometries } from './geometries';
export class Capsule extends Brick {
    constructor() {
        super();
        this.objectType = 'Capsule';
        this.geometry = gameObjectGeometries.capsuleGeometry;
        this.name = this.objectType;
    }
    createCollider(factory, world, body) {
        const scale = this.getWorldScale(new Vector3());
        const height = Math.abs(scale.y) / 2;
        const radius = (Math.abs(scale.x) + Math.abs(scale.z)) / 2;
        const collider = factory.ColliderDesc.capsule(height, radius);
        return world.createCollider(collider, body);
    }
}
