import { MeshPhongMaterial, Vector3 } from 'three';
import { Brick } from '.';
export class MeshPart extends Brick {
    constructor() {
        super(...arguments);
        this.objectType = 'MeshPart';
    }
    /** Do some surgery to convert a loaded SkinnedMesh into a game object */
    static fromLoaded(loaded) {
        const newObject = new MeshPart();
        const newMaterial = new MeshPhongMaterial();
        newObject.mesh = loaded;
        newObject.mesh.material = newMaterial;
        newObject.material = newMaterial;
        newObject.geometry = loaded.geometry;
        newObject.add(newObject.mesh);
        return newObject;
    }
    createCollider(factory, world, body) {
        const scale = this.getWorldScale(new Vector3()).divideScalar(2);
        const collider = factory.ColliderDesc.cuboid(Math.abs(scale.x), Math.abs(scale.y), Math.abs(scale.z));
        return world.createCollider(collider, body);
    }
    initializeMesh() {
        this.add(this.mesh);
    }
}
