import { GameObject3D, IGameObject3D } from '../types/game-object';
import { BufferGeometry, ColorRepresentation, Mesh, MeshPhongMaterial } from 'three';
export interface IPhysicalObject extends IGameObject3D {
    color: ColorRepresentation;
    transparency: number;
    texture?: string;
    /**
     * Get the geometry
     */
    getGeometry(): BufferGeometry;
    /**
     * Get current mesh
     */
    getMesh(): Mesh | undefined;
    /**
     * (re)Initialize the mesh
     */
    initializeMesh(): void;
}
export declare class PhysicalObject extends GameObject3D implements IPhysicalObject {
    protected geometry?: BufferGeometry;
    protected material?: MeshPhongMaterial;
    protected mesh?: Mesh;
    private _texture?;
    private _color;
    private _transparency;
    get color(): ColorRepresentation;
    set color(color: ColorRepresentation);
    get transparency(): number;
    set transparency(value: number);
    get texture(): string | undefined;
    set texture(path: string | undefined);
    constructor();
    getGeometry(): BufferGeometry<import("three").NormalBufferAttributes>;
    getMesh(): Mesh<BufferGeometry<import("three").NormalBufferAttributes>, import("three").Material | import("three").Material[]> | undefined;
    initializeMesh(): void;
}
