import { Matrix4, Vector3 } from 'three';
import { Brick } from './brick.object';
import type Rapier from '@dimforge/rapier3d';
export declare class WedgeInnerCorner extends Brick {
    objectType: string;
    protected geometry: {
        type: string;
        readonly parameters: {
            readonly width: number;
            readonly height: number;
            readonly depth: number;
            readonly widthSegments: number;
            readonly heightSegments: number;
            readonly depthSegments: number;
        };
        id: number;
        uuid: string;
        name: string;
        index: import("three").BufferAttribute | null;
        attributes: import("three").NormalBufferAttributes;
        morphAttributes: {
            [name: string]: (import("three").BufferAttribute | import("three").InterleavedBufferAttribute)[];
        };
        morphTargetsRelative: boolean;
        groups: {
            start: number;
            count: number;
            materialIndex?: number | undefined;
        }[];
        boundingBox: import("three").Box3 | null;
        boundingSphere: import("three").Sphere | null;
        drawRange: {
            start: number;
            count: number;
        };
        userData: {
            [key: string]: any;
        };
        readonly isBufferGeometry: true;
        getIndex(): import("three").BufferAttribute | null;
        setIndex(index: import("three").BufferAttribute | number[] | null): any;
        setAttribute<K extends string>(name: K, attribute: import("three").BufferAttribute | import("three").InterleavedBufferAttribute): any;
        getAttribute<K_1 extends string>(name: K_1): import("three").BufferAttribute | import("three").InterleavedBufferAttribute;
        deleteAttribute(name: string): any;
        hasAttribute(name: string): boolean;
        addGroup(start: number, count: number, materialIndex?: number | undefined): void;
        clearGroups(): void;
        setDrawRange(start: number, count: number): void;
        applyMatrix4(matrix: Matrix4): any;
        applyQuaternion(quaternion: import("three").Quaternion): any;
        rotateX(angle: number): any;
        rotateY(angle: number): any;
        rotateZ(angle: number): any;
        translate(x: number, y: number, z: number): any;
        scale(x: number, y: number, z: number): any;
        lookAt(vector: Vector3): any;
        center(): any;
        setFromPoints(points: import("three").Vector2[] | Vector3[]): any;
        computeBoundingBox(): void;
        computeBoundingSphere(): void;
        computeTangents(): void;
        computeVertexNormals(): void;
        normalizeNormals(): void;
        toNonIndexed(): import("three").BufferGeometry<import("three").NormalBufferAttributes>;
        toJSON(): {};
        clone(): any;
        copy(source: import("three").BufferGeometry<import("three").NormalBufferAttributes>): any;
        dispose(): void;
        addEventListener<T extends string>(type: T, listener: import("three").EventListener<import("three").Event, T, any>): void;
        hasEventListener<T_1 extends string>(type: T_1, listener: import("three").EventListener<import("three").Event, T_1, any>): boolean;
        removeEventListener<T_2 extends string>(type: T_2, listener: import("three").EventListener<import("three").Event, T_2, any>): void;
        dispatchEvent(event: import("three").Event): void;
    };
    constructor();
    protected createCollider(factory: typeof Rapier, world: Rapier.World, body?: Rapier.RigidBody): Rapier.Collider;
}
