export declare enum PacketType {
    /**
     * [][Player ID][Session Token][Client Version]
     */
    AUTH = 0,
    KEEPALIVE = 1,
    /**
     * [][World name]
     */
    STREAM_START = 2,
    /**
     * [][Asset Path][Asset Name][Asset Type][Buffer]
     */
    STREAM_ASSET = 3,
    /**
     * [][Object UUID][Parent UUID][Object Type][Object data JSON]
     */
    STREAM_OBJECT = 4,
    /**
     * [][Object UUID]
     */
    STREAM_DESTROY = 5,
    /**
     * [][Object UUID][Event][JSON]
     */
    STREAM_EVENT = 6,
    /**
     * [][World name]
     */
    STREAM_FINISH = 7,
    /**
     * [][UUID][x y z Position][x y z w Rotation][x y z linvel][x y z angvel]
     */
    STREAM_TRANSFORM = 8,
    /**
     * [][Player ID][Chat Type][Chat Message]
     */
    STREAM_CHAT = 9,
    /**
     * [][Player count][Player ID:Player Name]
     */
    PLAYER_LIST = 10,
    /**
     * [][Player ID][Player Name]
     */
    PLAYER_JOIN = 11,
    /**
     * [][Player ID][Player Name][Reason]
     */
    PLAYER_QUIT = 12,
    /**
     * [][Player ID][Player Name][x y z Position][x y z w quaternion][Object UUID][Data...]
     */
    PLAYER_CHARACTER = 13,
    /**
     * [][Player ID][Velocity][LookAt][Jump][AnimState]
     */
    PLAYER_MOVEMENT = 14,
    /**
     * [][Player ID][Chat Type][Chat Message]
     */
    PLAYER_CHAT = 15,
    /**
     * [][Player ID][Object UUID][Event][JSON]
     */
    PLAYER_EVENT = 16,
    /**
     * [][Error type]
     */
    ERROR = 17
}
