export var PacketType;
(function (PacketType) {
    /**
     * [][Player ID][Session Token][Client Version]
     */
    PacketType[PacketType["AUTH"] = 0] = "AUTH";
    PacketType[PacketType["KEEPALIVE"] = 1] = "KEEPALIVE";
    /**
     * [][World name]
     */
    PacketType[PacketType["STREAM_START"] = 2] = "STREAM_START";
    /**
     * [][Asset Path][Asset Name][Asset Type][Buffer]
     */
    PacketType[PacketType["STREAM_ASSET"] = 3] = "STREAM_ASSET";
    /**
     * [][Object UUID][Parent UUID][Object Type][Object data JSON]
     */
    PacketType[PacketType["STREAM_OBJECT"] = 4] = "STREAM_OBJECT";
    /**
     * [][Object UUID]
     */
    PacketType[PacketType["STREAM_DESTROY"] = 5] = "STREAM_DESTROY";
    /**
     * [][Object UUID][Event][JSON]
     */
    PacketType[PacketType["STREAM_EVENT"] = 6] = "STREAM_EVENT";
    /**
     * [][World name]
     */
    PacketType[PacketType["STREAM_FINISH"] = 7] = "STREAM_FINISH";
    /**
     * [][UUID][x y z Position][x y z w Rotation][x y z linvel][x y z angvel]
     */
    PacketType[PacketType["STREAM_TRANSFORM"] = 8] = "STREAM_TRANSFORM";
    /**
     * [][Player ID][Chat Type][Chat Message]
     */
    PacketType[PacketType["STREAM_CHAT"] = 9] = "STREAM_CHAT";
    /**
     * [][Player count][Player ID:Player Name]
     */
    PacketType[PacketType["PLAYER_LIST"] = 10] = "PLAYER_LIST";
    /**
     * [][Player ID][Player Name]
     */
    PacketType[PacketType["PLAYER_JOIN"] = 11] = "PLAYER_JOIN";
    /**
     * [][Player ID][Player Name][Reason]
     */
    PacketType[PacketType["PLAYER_QUIT"] = 12] = "PLAYER_QUIT";
    /**
     * [][Player ID][Player Name][x y z Position][x y z w quaternion][Object UUID][Data...]
     */
    PacketType[PacketType["PLAYER_CHARACTER"] = 13] = "PLAYER_CHARACTER";
    /**
     * [][Player ID][Velocity][LookAt][Jump][AnimState]
     */
    PacketType[PacketType["PLAYER_MOVEMENT"] = 14] = "PLAYER_MOVEMENT";
    /**
     * [][Player ID][Chat Type][Chat Message]
     */
    PacketType[PacketType["PLAYER_CHAT"] = 15] = "PLAYER_CHAT";
    /**
     * [][Player ID][Object UUID][Event][JSON]
     */
    PacketType[PacketType["PLAYER_EVENT"] = 16] = "PLAYER_EVENT";
    /**
     * [][Error type]
     */
    PacketType[PacketType["ERROR"] = 17] = "ERROR";
})(PacketType || (PacketType = {}));
